Description: use type casting to fix incompatible types
Bug-Debian: https://bugs.debian.org/1087453
Bug: https://github.com/pediapress/pyfribidi/issues/15
Index: pyfribidi/pyfribidi.c
===================================================================
--- pyfribidi.orig/pyfribidi.c	2019-12-25 09:34:42.822211009 +0100
+++ pyfribidi/pyfribidi.c	2024-12-22 16:47:01.093942785 +0100
@@ -57,7 +57,7 @@
         goto cleanup;
     }
 
-    PyUnicode_AsWideChar(string, logical, length);
+    PyUnicode_AsWideChar(string, (wchar_t*) logical, length);
 
     /* Convert to unicode and order visually */
     fribidi_set_reorder_nsm(reordernsm);
@@ -75,7 +75,7 @@ unicode_log2vis (PYFRIBIDI_UNICODE_OBJECT * string,
         length = fribidi_remove_bidi_marks (visual, length, NULL, NULL, NULL);
     }
 
-    result = PyUnicode_FromWideChar(visual, length);
+    result = PyUnicode_FromWideChar((const wchar_t*) visual, length);
     if (result == NULL) {
         goto cleanup;
     }
